[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[p2-dev] Can't remove P2 from 3.5

Hello there,
I'm trying to remove P2 from Eclipse SDK I20090416-1053 following the instructions as in http://wiki.eclipse.org/Equinox_p2_Removal. Eclipse won't start after removal. I got the following errors in the log. Can you please provide some suggestion? Thank.

!SESSION 2009-04-24 08:18:26.546 -----------------------------------------------
eclipse.buildId=I20090416-1053
java.version=1.4.2_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 4 0 2009-04-24 08:18:27.156
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
at org.eclipse.equinox.launcher.Main.run(Main.java:1287)

!ENTRY org.eclipse.osgi 2 0 2009-04-24 08:18:27.343
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-04-24 08:18:27.343
!MESSAGE Bundle update@plugins/org.eclipse.ui.views_3.4.0.I20090406-0800.jar was not resolved.
!SUBENTRY 2 org.eclipse.ui.views 2 0 2009-04-24 08:18:27.343
!MESSAGE Missing required bundle org.eclipse.core.runtime_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-04-24 08:18:27.343
!MESSAGE Bundle update@plugins/org.eclipse.help.base_3.4.0.v20090413.jar was not resolved.
!SUBENTRY 2 org.eclipse.help.base 2 0 2009-04-24 08:18:27.343
!MESSAGE Missing required bundle org.eclipse.core.runtime_3.3.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-04-24 08:18:27.343
!MESSAGE Bundle update@plugins/org.eclipse.ui.views.properties.tabbed_3.5.0.I20090120-0800.jar was not resolved.
!SUBENTRY 2 org.eclipse.ui.views.properties.tabbed 2 0 2009-04-24 08:18:27.343
!MESSAGE Missing required bundle org.eclipse.core.runtime_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-04-24 08:18:27.343
!MESSAGE Bundle update@plugins/org.eclipse.core.commands_3.5.0.I20081202-0800.jar was not resolved.
!SUBENTRY 2 org.eclipse.core.commands 2 0 2009-04-24 08:18:27.343
!MESSAGE Missing required bundle org.eclipse.equinox.common_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-04-24 08:18:27.343
!MESSAGE Bundle update@plugins/org.eclipse.jdt.launching_3.5.0.v20090413-1530.jar was not resolved.
!SUBENTRY 2 org.eclipse.jdt.launching 2 0 2009-04-24 08:18:27.343
!MESSAGE Missing required bundle org.eclipse.core.runtime_[3.5.0,4.0.0).

Best Regards

Samuel Wu